function loadWalkthrough(backgroundColor, images, titles, subTitles, btnLoginTitle, btnNextTitle, btnAnonymousTitle, titleFontSize, subTitleFontSize) {
    var walkthroughContainer = "#walkthrough";
    var $walkthrough = $(walkthroughContainer);
    var $pagination = $('<div class="pagination"></div>');
    var $swiperWrapper = $('<div class="swiper-wrapper"></div>');
    var $bottomBg = $('<div class="bottomBg" style="background:' + backgroundColor + '"></div>');
    var $btnLogin = $('<button class="btn btn-login">Log in</button>');
    var $btnNext = $('<button class="btn btn-next">Next</button>');
    var $btnAnonymous = $('<button class="btn btn-anonymous">Browse app Now</button>');
    var phoneMediaQuery = '';
    var tabletMediaQuery = '@media(min-width: 600px)';
    var isWalkthroughShown = false;

    $btnLogin.text(btnLoginTitle);
    $btnNext.text(btnNextTitle);
    $btnAnonymous.text(btnAnonymousTitle);

    $('body').css('background-color', '#ffffff');
    $walkthrough.addClass('swiper-container');
    $walkthrough.append($pagination);
    $walkthrough.append($btnLogin);
    $walkthrough.append($btnNext);
    $walkthrough.append($btnAnonymous);
    $walkthrough.append($swiperWrapper);
    $walkthrough.append($bottomBg);

    var buildImageCSS = function(css, imageSelector, image) {
        return css += imageSelector + ' { content:url("' + image + '"); } ';
    }

    var showWalkthrough = function() {
        if (!isWalkthroughShown) {
            isWalkthroughShown = true;
            $walkthrough.show();
            $walkthrough.removeClass('dismiss');
            NativeAPI.onLoadWalkthroughComplete();
        }
    }

    var iOSCSS, tabletCSS;
    iOSCSS = phoneMediaQuery != '' ? phoneMediaQuery + '{' : '';
    tabletCSS = tabletMediaQuery != '' ? tabletMediaQuery + '{' : '';
    if (images) {
        var imageLoadedCount = 0;
        var onLoadImage = function() {
            imageLoadedCount++;
            if (imageLoadedCount >= $swiperWrapper.find('img.hidden').length) {
                showWalkthrough();
            }
        }
        for (var i = 0; i < images.length; i++) {
            var image = images[i];
            var imageClass = 'image' + i;
            var $slideItem = $('<div class="swiper-slide"></div>');
            var isAndroid5 = navigator.userAgent.toLocaleLowerCase().indexOf("android 5") != -1 || navigator.userAgent.toLocaleLowerCase().indexOf("android 6") != -1;
            var $image = "";
            if(isAndroid5){
                var imgWidth = window.screen.width;
                var imgHeight = imgWidth * 920/1080;
                $image = $('<img src="'+image+'" class="' + imageClass + '" style="width: '+imgWidth+' !important; height: '+imgHeight+' !important;"/>');
            }else{
                $image = $('<img src="" class="' + imageClass + '"/>');
            }
            
            var titleItem = titles[i];
            var $title = $('<h2 class="css_title" style="font-size:' + titleFontSize + '">' + titleItem +'</h2>');
            var subTitleItem = subTitles[i];
            var $subTitle = $('<h2 class="css_sub_title" style="font-size:' + subTitleFontSize + '">' + subTitleItem + '</h2>');
            $swiperWrapper.append($slideItem);
            $slideItem.append($image);
            $slideItem.append($title);
            $slideItem.append($subTitle);
            iOSCSS = buildImageCSS(iOSCSS, walkthroughContainer + " ." + imageClass, image);
            tabletCSS = buildImageCSS(tabletCSS, walkthroughContainer + " ." + imageClass, image);

            /*$swiperWrapper.append('<img src="' + image + '" class="hidden" style="display: none;">');
            $swiperWrapper.append('<img src="' + image + '" class="hidden" style="display: none;">');*/
        }
        $swiperWrapper.find('img').on('load', function() {
            onLoadImage();
        }).each(function() {
            if(this.complete) {
                $(this).load();
            }
        });
    }
    iOSCSS += phoneMediaQuery != '' ? '}' : '';
    tabletCSS += tabletMediaQuery != '' ? '}' : '';

    var $style = $('style');
    if ($style.length === 0) {
        $style = $('<style></style>')
        $('head').append($style);
    }

    $style.append(iOSCSS);
    $style.append(tabletCSS);

    var processSlideChanged = function(swiper) {
        var slidesLength = swiper.slides.length;
        if (swiper.activeIndex == slidesLength - 1 || slidesLength == 0) { // reach end
            $walkthrough.addClass('end');

            var walkthroughWidth = $walkthrough.outerWidth();
            var btnLoginWidth = $btnLogin.outerWidth();
            var btnLoginOffsetLeft = parseFloat($btnLogin.css('left').replace('px'), 10);
            var translateX = (walkthroughWidth / 2) - (btnLoginWidth / 2) - btnLoginOffsetLeft;
            translateX = 'translateX(' + Math.round(translateX) + 'px)';
//            $btnLogin.css({
//                'transform': translateX,
//                '-webkit-transform': translateX
//            });
        } else {
            $walkthrough.removeClass('end');
            $btnLogin.css({
                'transform': '',
                '-webkit-transform': ''
            });
        }
    }

    var walkthroughSwiper = new Swiper('#walkthrough.swiper-container', {
        mode:'horizontal',
        pagination: '.pagination',
        onSlideChangeStart: processSlideChanged
    });
    var isTouchScreen = 'ontouchstart' in window;
    var clickEvent = isTouchScreen ? 'touchstart' : 'click';
    $btnNext.on(clickEvent, function() {
        walkthroughSwiper.swipeNext();
    });
    $btnAnonymous.on(clickEvent, function() {
    	NativeAPI.openAnonymousMode();
    });
    $btnLogin.on(clickEvent, function() {
        NativeAPI.openLoginPage();
    });
    processSlideChanged(walkthroughSwiper);

    setTimeout(function () {
        showWalkthrough();
    }, 30000);
}

